<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<!--
IGAC proyecto SNC

@author 		pedro.garcia, juan.agudelo
@version 		2.0
@description	Registrar ofertas inmobiliarias CU-SA-AC-077
                página principal
@cu 			CU-AV-O-01

-->

<ui:composition xmlns="http://www.w3.org/1999/xhtml"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns:f="http://java.sun.com/jsf/core"
                xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:p="http://primefaces.org/ui"
                xmlns:misc="http://java.sun.com/jsf/composite/misc"
                xmlns:predio="http://java.sun.com/jsf/composite/predio"
                xmlns:ofertasInmob="http://java.sun.com/jsf/composite/ofertasInmob"
                template="/templates/generalCU.xhtml">



    <ui:define name="title">
        .::Sistema Nacional Catastral::. .::Registro de oferta inmobilaria::.
    </ui:define>

    <ui:define name="content">

        <script src="#{request.contextPath}/js/jquery.formatCurrency.js"
                type="text/javascript" />

        <h:outputScript library="javascript" name="snc_visor_client.js"
                        target="head" />
        <h:outputStylesheet library="css" name="snc_visor_client.css" />

        <p:ajaxStatus onstart="statusDialog.show();"
                      onsuccess="statusDialog.hide();"
                      onerror="statusDialog.hide();alert('Error AJAX en la aplicación');" />

        <p:spacer height="10" width="0" />

        <h:form id="registroOfertaInmobiliariaFormId">

            <h:panelGrid id="encabezadoId" width="100%"
                         rendered="#{registroOfertaInmob.banderaEsEdicion}">
                <ui:include src="encabezadoOferta.xhtml">
                    <ui:param name="ofertaInmobiliariaParam"
                              value="#{registroOfertaInmob.selectedOfertaInmobiliaria}" />
                </ui:include>
            </h:panelGrid>

            <h:panelGrid id="encabezadoLId" width="100%"
                         rendered="#{registroOfertaInmob.banderaEsConsulta}">
                <ui:include src="encabezadoOfertaLectura.xhtml">
                    <ui:param name="ofertaInmobiliariaParam"
                              value="#{registroOfertaInmob.selectedOfertaInmobiliaria}" />
                </ui:include>
            </h:panelGrid>

            <p:focus />
            <p:messages id="msgInfoFisicaOferta" showDetail="false"
                        globalOnly="false" />

            <h:panelGrid id="infoFpanel" width="100%"
                         rendered="#{registroOfertaInmob.banderaTipoOfertaSeleccionada}">

                <p:fieldset>
                    <legend>
                        <h:outputText value="Información física" styleClass="legendTitle" />
                    </legend>

                    <h:panelGrid id="informacionFisicaId" width="100%"
                                 rendered="#{registroOfertaInmob.banderaEsEdicion}">
                        <ui:include src="informacionFisica.xhtml">
                            <ui:param name="managedBeanParam" value="#{registroOfertaInmob}" />
                            <ui:param name="ofertaInmobiliariaParam"
                                      value="#{registroOfertaInmob.selectedOfertaInmobiliaria}" />
                        </ui:include>
                    </h:panelGrid>

                    <h:panelGrid id="informacionFisicaIdL" width="100%"
                                 rendered="#{registroOfertaInmob.banderaEsConsulta}">
                        <ui:include src="informacionFisicaLectura.xhtml">
                            <ui:param name="ofertaInmobiliariaParam"
                                      value="#{registroOfertaInmob.selectedOfertaInmobiliaria}" />
                        </ui:include>
                    </h:panelGrid>

                </p:fieldset>

                <p:spacer height="7" width="0" />
                <p:fieldset>
                    <legend>
                        <h:outputText value="Fuente" styleClass="legendTitle" />
                    </legend>

                    <h:panelGrid id="fuenteId" width="100%"
                                 rendered="#{registroOfertaInmob.banderaEsEdicion}">
                        <ui:include src="fuente.xhtml">
                            <ui:param name="ofertaInmobiliariaParam"
                                      value="#{registroOfertaInmob.selectedOfertaInmobiliaria}" />
                        </ui:include>
                    </h:panelGrid>
                    <h:panelGrid id="fuenteLId" width="100%"
                                 rendered="#{registroOfertaInmob.banderaEsConsulta}">
                        <ui:include src="fuenteLectura.xhtml">
                            <ui:param name="ofertaInmobiliariaParam"
                                      value="#{registroOfertaInmob.selectedOfertaInmobiliaria}" />
                        </ui:include>
                    </h:panelGrid>
                </p:fieldset>

                <p:spacer height="7" width="0"
                          rendered="#{!registroOfertaInmob.banderaOfertaNueva}" />
                <h:panelGrid width="100%"
                             rendered="#{!registroOfertaInmob.banderaOfertaNueva}">
                    <p:fieldset>
                        <legend>
                            <h:outputText value="Información económica"
                                          styleClass="legendTitle" />
                        </legend>
                        <h:panelGrid id="informacionEconomicaId" width="100%"
                                     rendered="#{registroOfertaInmob.banderaEsEdicion}">
                            <ui:include src="informacionEconomica.xhtml">
                                <ui:param name="ofertaInmobiliariaParam"
                                          value="#{registroOfertaInmob.selectedOfertaInmobiliaria}" />
                                <ui:param name="managedBeanParam" value="#{registroOfertaInmob}" />
                            </ui:include>
                        </h:panelGrid>
                        <h:panelGrid id="informacionEconomicaIdL" width="100%"
                                     rendered="#{registroOfertaInmob.banderaEsConsulta}">
                            <ui:include src="informacionEconomicaLectura.xhtml">
                                <ui:param name="ofertaInmobiliariaParam"
                                          value="#{registroOfertaInmob.selectedOfertaInmobiliaria}" />
                            </ui:include>
                        </h:panelGrid>
                    </p:fieldset>
                </h:panelGrid>

                <p:spacer height="7" width="0" />
                <p:fieldset>
                    <legend>
                        <h:outputText value="Servicios públicos" styleClass="legendTitle" />
                    </legend>
                    <h:panelGrid id="serviciosPublicos" columns="1" width="100%">
                        <h:panelGrid id="serviciosPublicosId" width="100%"
                                     rendered="#{registroOfertaInmob.banderaEsEdicion}">
                            <ui:include src="serviciosPublicosYVias.xhtml">
                                <ui:param name="ofertaInmobiliariaParam"
                                          value="#{registroOfertaInmob.selectedOfertaInmobiliaria}" />
                                <ui:param name="managedBeanParam" value="#{registroOfertaInmob}" />
                            </ui:include>
                        </h:panelGrid>
                        <h:panelGrid id="serviciosPublicosLId" width="100%"
                                     rendered="#{registroOfertaInmob.banderaEsConsulta}">
                            <ui:include src="serviciosPublicosYViasLectura.xhtml">
                                <ui:param name="ofertaInmobiliariaParam"
                                          value="#{registroOfertaInmob.selectedOfertaInmobiliaria}" />
                            </ui:include>
                        </h:panelGrid>
                    </h:panelGrid>
                </p:fieldset>

                <p:spacer height="7" width="0"
                          rendered="#{registroOfertaInmob.banderaPropiedadHorizontal and 
                                      !registroOfertaInmob.selectedOfertaInmobiliaria.inmuebleDeProyecto}" />
                <p:outputPanel id="propiedadHorizontal">
                    <p:fieldset
                        rendered="#{registroOfertaInmob.banderaPropiedadHorizontal and 
                                    !registroOfertaInmob.selectedOfertaInmobiliaria.inmuebleDeProyecto}">
                        <legend>
                            <h:outputText value="Propiedad Horizontal"
                                          styleClass="legendTitle" />
                        </legend>
                        <h:panelGrid columns="1" width="100%">
                            <h:panelGrid rendered="#{registroOfertaInmob.banderaEsEdicion}">
                                <ui:include src="propiedadHorizontal.xhtml">
                                    <ui:param name="ofertaInmobiliariaParam"
                                              value="#{registroOfertaInmob.selectedOfertaInmobiliaria}" />
                                    <ui:param name="managedBeanParam"
                                              value="#{registroOfertaInmob}" />
                                    <ui:param name="banderaEsEdicionParam"
                                              value="#{registroOfertaInmob.banderaEsEdicion}" />
                                </ui:include>
                            </h:panelGrid>
                            <h:panelGrid rendered="#{registroOfertaInmob.banderaEsConsulta}">
                                <ui:include src="propiedadHorizontalLectura.xhtml">
                                    <ui:param name="ofertaInmobiliariaParam"
                                              value="#{registroOfertaInmob.selectedOfertaInmobiliaria}" />
                                    <ui:param name="currentManagedBeanParam"
                                              value="#{registroOfertaInmob}" />
                                    <ui:param name="banderaEsConsultaParam"
                                              value="#{registroOfertaInmob.banderaEsConsulta}" />
                                </ui:include>
                            </h:panelGrid>
                        </h:panelGrid>
                    </p:fieldset>
                </p:outputPanel>

                <p:spacer height="7" width="0" />
                <p:fieldset id="observaciones">
                    <legend>
                        <h:outputText value="Observaciones" styleClass="legendTitle" />
                    </legend>
                    <h:panelGrid columns="1" cellspacing="7" width="100%">
                        <h:inputTextarea cols="100" rows="3" style="width:100%"
                                         value="#{registroOfertaInmob.selectedOfertaInmobiliaria.observaciones}"
                                         disabled="#{registroOfertaInmob.banderaEsConsulta}" />
                    </h:panelGrid>
                </p:fieldset>

                <p:spacer height="7" width="0" />
                <p:fieldset>
                    <legend>
                        <h:outputText value="Información a catastro"
                                      styleClass="legendTitle" />
                    </legend>
                    <p:spacer height="10" />

                    <h:panelGrid id="prediosDesactualizadosId"
                                 rendered="#{registroOfertaInmob.banderaEsEdicion}" width="100%">
                        <ui:include src="prediosDesactualizados.xhtml">
                            <ui:param name="ofertaInmobiliariaParam"
                                      value="#{registroOfertaInmob.selectedOfertaInmobiliaria}" />
                            <ui:param name="managedBeanParam" value="#{registroOfertaInmob}" />
                        </ui:include>
                    </h:panelGrid>
                    <h:panelGrid id="prediosDesactualizadosLId"
                                 rendered="#{registroOfertaInmob.banderaEsConsulta}" width="100%">
                        <ui:include src="prediosDesactualizadosLectura.xhtml">
                            <ui:param name="ofertaInmobiliariaParam"
                                      value="#{registroOfertaInmob.selectedOfertaInmobiliaria}" />
                            <ui:param name="managedBeanParam" value="#{registroOfertaInmob}" />
                        </ui:include>
                    </h:panelGrid>
                    <p:spacer height="10" />
                </p:fieldset>

                <p:spacer height="7" width="0" />

                <p:fieldset>
                    <legend>
                        <h:outputText value="Resumen de ofertas" styleClass="legendTitle" />
                    </legend>

                    <p:messages id="msgInfoResumenOferta" showDetail="false"
                                globalOnly="false" />

                    <h:panelGrid id="tipoInmuebleId"
                                 rendered="#{registroOfertaInmob.banderaEsEdicion ||
                                             registroOfertaInmob.banderaOfertaNueva}">
                        <ui:include src="tipoInmueble.xhtml">
                            <ui:param name="managedBeanParam" value="#{registroOfertaInmob}" />
                            <ui:param name="ofertaInmobiliariaParam"
                                      value="#{registroOfertaInmob.selectedOfertaInmobiliaria}" />
                            <ui:param name="banderaEsEdicionParam"
                                      value="#{registroOfertaInmob.banderaEsEdicion}" />
                        </ui:include>
                    </h:panelGrid>


                    <h:panelGrid id="tipoInmuebleUsadoId"
                                 rendered="#{registroOfertaInmob.banderaEsEdicion and 
                                             !registroOfertaInmob.banderaOfertaNueva}">
                        <ui:include src="tipoProyectoUsado.xhtml">
                            <ui:param name="managedBeanParam" value="#{registroOfertaInmob}" />
                        </ui:include>
                    </h:panelGrid>

                    <p:outputPanel id="tablaResuemenesId"
                                   rendered="#{registroOfertaInmob.banderaOfertaNueva}"
                                   style="width:940px; overflow:auto;display:block;">
                        <ui:include src="tipoProyectoNuevoLectura.xhtml">
                            <ui:param name="managedBeanParam" value="#{registroOfertaInmob}" />
                        </ui:include>
                    </p:outputPanel>

                    <h:panelGrid id="ofertaProyectosPanelL" width="100%"
                                 rendered="#{registroOfertaInmob.banderaEsConsulta and 
                                             !registroOfertaInmob.banderaOfertaNueva}">
                        <ui:include src="tipoProyectoUsadoLectura.xhtml">
                            <ui:param name="managedBeanParam" value="#{registroOfertaInmob}" />
                        </ui:include>
                    </h:panelGrid>

                    <h:panelGrid columns="2" cellspacing="7">

                        <p:commandButton value="Información fotográfica"
                                         update=":compoFotosONgalleriaForm,
                                         :compoFotosONmsgs,
                                         :registroOfertaInmobiliariaFormId"
                                         onstart="statusDialog2.show();" icon="ui-icon-image"
                                         oncomplete="statusDialog2.hide(); handleCompleteSIC(xhr, status, args, componenteFotosGeneralWV, true);"
                                         action="#{registroOfertaInmob.cargarComponenteFotograficoYFotos}"
                                         rendered="#{registroOfertaInmob.banderaEsEdicion}">
                            <f:setPropertyActionListener
                                target="#{registroOfertaInmob.banderaFotografiaOfertaOferta}"
                                value="false" />
                        </p:commandButton>

                        <p:commandButton value="Guardar oferta inmobiliaria"
                                         id="guardarBtn" icon="ui-icon-disk"
                                         update=":registroOfertaInmobiliariaFormId"
                                         onstart="statusDialog2.show();"
                                         oncomplete="statusDialog2.hide(); 
                                         handleCompleteSIC(xhr, status, args, guardarOfertaConfirmationWV, true);"
                                         disabled="#{(!registroOfertaInmob.banderaOfertaNueva and 
                                                     registroOfertaInmob.selectedOfertaInmobiliaria.tipoInmueble eq null) ||
                                                     (registroOfertaInmob.banderaOfertaNueva and 
                                                     empty registroOfertaInmob.selectedOfertaInmobiliaria.ofertaInmobiliarias)}"
                                         rendered="#{registroOfertaInmob.banderaEsEdicion}" />

                    </h:panelGrid>
                </p:fieldset>

            </h:panelGrid>

            <p:separator style="width:925px;height:3px" />
            <p:spacer height="7" width="0" />
            <p:outputPanel layout="block" style="text-align:right">
                <p:commandButton value="Cerrar" update="msgInfoFisicaOferta"
                                 icon="ui-icon-circle-close" immediate="true"
                                 action="#{registroOfertaInmob.terminar}" ajax="false" />
                <p:spacer height="0" width="30" />
            </p:outputPanel>
            <p:spacer height="20" width="0" />
        </h:form>


        <!-- ...................... dialogs  ................................... -->

        <p:dialog header="Proyecto casa / apartamento / suite hotelera"
                  widgetVar="proyectoCasaAptoSHWV" modal="true" appendToBody="true"
                  resizable="true" position="center" width="870">
            <ui:include src="proyectoCasaApartamentoSuiteHotelera.xhtml">
                <ui:param name="proyectoCasaAptoSuiteHoteleraParam"
                          value="#{registroOfertaInmob.selectedOfertaOferta}" />
                <ui:param name="currentManagedBeanParam"
                          value="#{registroOfertaInmob}" />
            </ui:include>
        </p:dialog>

        <p:dialog header="Proyecto local" widgetVar="proyectoLocalWV"
                  modal="true" appendToBody="true" resizable="true" position="center"
                  width="870">
            <ui:include src="proyectoLocal.xhtml">
                <ui:param name="proyectoLocalParam"
                          value="#{registroOfertaInmob.selectedOfertaOferta}" />
                <ui:param name="currentManagedBeanParam"
                          value="#{registroOfertaInmob}" />
            </ui:include>
        </p:dialog>

        <p:dialog header="Proyecto oficina / consultorio"
                  widgetVar="proyectoOficinaConsultorioWV" modal="true"
                  appendToBody="true" resizable="true" position="center" width="870">
            <ui:include src="proyectoOficinaConsultorio.xhtml">
                <ui:param name="proyectoOficinaConsultorioParam"
                          value="#{registroOfertaInmob.selectedOfertaOferta}" />
                <ui:param name="currentManagedBeanParam"
                          value="#{registroOfertaInmob}" />
            </ui:include>
        </p:dialog>

        <p:dialog header="Proyecto bodega" widgetVar="proyectoBodegaWV"
                  modal="true" appendToBody="true" resizable="true" position="center"
                  width="870">
            <ui:include src="proyectoBodega.xhtml">
                <ui:param name="proyectoBodegaParam"
                          value="#{registroOfertaInmob.selectedOfertaOferta}" />
                <ui:param name="currentManagedBeanParam"
                          value="#{registroOfertaInmob}" />
            </ui:include>
        </p:dialog>

        <p:dialog header="Proyecto parqueadero"
                  widgetVar="proyectoParqueaderoWV" modal="true" appendToBody="true"
                  resizable="true" position="center" width="870">
            <ui:include src="proyectoParqueadero.xhtml">
                <ui:param name="proyectoParqueaderoParam"
                          value="#{registroOfertaInmob.selectedOfertaOferta}" />
                <ui:param name="currentManagedBeanParam"
                          value="#{registroOfertaInmob}" />
            </ui:include>
        </p:dialog>

        <p:dialog header="Gestor de fotografías" dynamic="true"
                  widgetVar="componenteFotosGeneralWV" modal="true" appendToBody="true"
                  resizable="true" position="center" height="550" width="800">
            <ui:include src="galeriaFotografiasComponent.xhtml">
                <ui:param name="managedBeanParam" value="#{registroOfertaInmob}" />
                <ui:param name="selectedFotografiaListParam"
                          value="#{registroOfertaInmob.selectedOfertaInmobiliaria.fotografias}" />
                <ui:param name="selectedFotografiaParam"
                          value="#{registroOfertaInmob.selectedFotografia}" />
                <ui:param name="banderaPanelEdicionFotosParam"
                          value="#{registroOfertaInmob.banderaPanelEdicionFotos}" />
                <ui:param name="banderaCargaParam" value="true" />
                <ui:param name="compositeWVParam" value="componenteFotosGeneralWV" />
                <ui:param name="cIdParam" value="compoFotosOF" />
            </ui:include>
            <p:ajax event="close"
                    listener="#{registroOfertaInmob.cerrarComponenteFotografico}" />
        </p:dialog>

        <p:dialog header="Gestor de fotografías" widgetVar="componenteFotosWV"
                  modal="true" appendToBody="true" resizable="true" position="center"
                  height="550" width="800" dynamic="true">
            <ui:include src="galeriaFotografiasComponent.xhtml">
                <ui:param name="managedBeanParam" value="#{registroOfertaInmob}" />
                <ui:param name="selectedFotografiaListParam"
                          value="#{registroOfertaInmob.selectedOfertaOferta.fotografias}" />
                <ui:param name="selectedFotografiaParam"
                          value="#{registroOfertaInmob.selectedFotografia}" />
                <ui:param name="banderaPanelEdicionFotosParam"
                          value="#{registroOfertaInmob.banderaPanelEdicionFotos}" />
                <ui:param name="banderaCargaParam" value="true" />
                <ui:param name="compositeWVParam" value="componenteFotosWV" />
                <ui:param name="cIdParam" value="compoFotosON" />
            </ui:include>
            <p:ajax event="close"
                    listener="#{registroOfertaInmob.cerrarComponenteFotografico}" />
        </p:dialog>

        <p:dialog header="Confirmación" widgetVar="confiramtionDWV"
                  modal="true" appendToBody="true" resizable="true" position="center"
                  height="100" width="500" dynamic="true">
            <ui:include src="confirmDialogWithCloseDLoadFC.xhtml">
                <ui:param name="confirmationMessageParam"
                          value="#{registroOfertaInmob.mensajeSalidaFotosOP}" />
                <ui:param name="confirmUpdateParam"
                          value=":compoFotosONgalleriaForm, 
                          :compoFotosONcargarfotosForm:compoFotosONtipoFoto,
                          :compoFotosONcargarfotosForm:compoFotosONdescripcion,
                          :compoFotosONmsgs,
                          :registroOfertaInmobiliariaFormId" />
                <ui:param name="confirmDialogWVParam" value="confiramtionDWV" />
            </ui:include>

        </p:dialog>

        <p:dialog widgetVar="consultaPrediosOfertasWV"
                  header="Selección de predios" modal="true" appendToBody="true"
                  closable="true" dynamic="true" minimizable="false" resizable="false"
                  width="700">
            <ui:include src="seleccionPrediosOfertas.xhtml">
                <ui:param name="managedBeanParam" value="#{registroOfertaInmob}" />
                <ui:param name="componentsToUpdateParam"
                          value=":registroOfertaInmobiliariaFormId:prediosOferta,
                          :registroOfertaInmobiliariaFormId:msgInfoFisicaOferta,
                          :registroOfertaInmobiliariaFormId:propiedadHorizontal,
                          :registroOfertaInmobiliariaFormId:tipoPredio,
                          :registroOfertaInmobiliariaFormId:direccionPredioIT, 
                          :registroOfertaInmobiliariaFormId:prediosDesactualizadosOferta
                          :registroOfertaInmobiliariaFormId:condicionJuridica, 
                          :registroOfertaInmobiliariaFormId:areaTotalTerrenoTI,
                          :registroOfertaInmobiliariaFormId:areaTotalConstruidaTI,
                          :registroOfertaInmobiliariaFormId:direccionPredioIT" />
                <ui:param name="ofertaInmobParam"
                          value="#{registroOfertaInmob.selectedOfertaInmobiliaria}" />
            </ui:include>
        </p:dialog>

        <!-- ...................... composite components  ................................... -->


        <misc:ultimateConfirmDialogCC id="mensajeConfirmacion"
                                      confirmMessage="¿Está seguro de que desea guardar y terminar?"
                                      confirmUpdateOnYes=":registroOfertaInmobiliariaFormId"
                                      confirmDialogWV="guardarOfertaConfirmationWV"
                                      voidActionOnYes="#{registroOfertaInmob.guardarYTerminar}" width="300" 
                                      useStringActionOnYes="false" useStringActionOnNo="false" actionOnNoIsClose="true"/>

        <predio:detallesPredioCC id="dpCC" thisWVName="detallesPredioWV"
                                 mostrarDatosPropietarios="false" mostrarDatosTramites="false"
                                 thisIdPlusColon=":dpCC" useJustPropTab="false"
                                 mostrarFichaPredial="true" />

        <predio:consultaPrediosCC managedBean="#{consultaPredio}"
                                  thisCCId="cpCC" thisWVName="consultaPrediosDlgWV" ccIdsChain1=":psCC"
                                  ccIdsChain2=":dpCC" selectedPrediosWVName="prediosSeleccionadosDlgWV"
                                  mostrarBusquedaAvanzada="false" detallesPredioWV="detallesPredioWV"
                                  additionMethod1="#{consultaPredio.adicionarPredio1}"
                                  idsComponentsToUpdate=":registroOfertaInmobiliariaFormId:prediosOferta,
                                  :registroOfertaInmobiliariaFormId:msgInfoFisicaOferta,:registroOfertaInmobiliariaFormId:propiedadHorizontal,
                                  :registroOfertaInmobiliariaFormId:departamentoOferta,
                                  :registroOfertaInmobiliariaFormId:municipioOferta, :registroOfertaInmobiliariaFormId:tipoPredio,
                                  :registroOfertaInmobiliariaFormId:direccionPredioIT, :registroOfertaInmobiliariaFormId:prediosDesactualizadosOferta
                                  :registroOfertaInmobiliariaFormId:condicionJuridica, :registroOfertaInmobiliariaFormId:areaTotalTerrenoTI,
                                  :registroOfertaInmobiliariaFormId:areaTotalConstruidaTI, :registroOfertaInmobiliariaFormId:direccionPredioIT"
                                  usePrediosButtonRendered="false" id="cpCC" />

        <predio:prediosSeleccionadosCC id="psCC"
                                       managedBean="#{consultaPredio}"
                                       thisWVName="prediosSeleccionadosDlgWV" ccIdsChain="dpCC"
                                       detallesPredioWV="detallesPredioWV"
                                       idsComponentsToUpdate=":registroOfertaInmobiliariaFormId:prediosOferta,
                                       :registroOfertaInmobiliariaFormId:msgInfoFisicaOferta,:registroOfertaInmobiliariaFormId:propiedadHorizontal,
                                       :registroOfertaInmobiliariaFormId:departamentoOferta,
                                       :registroOfertaInmobiliariaFormId:municipioOferta, :registroOfertaInmobiliariaFormId:tipoPredio,
                                       :registroOfertaInmobiliariaFormId:direccionPredioIT, :registroOfertaInmobiliariaFormId:prediosDesactualizadosOferta
                                       :registroOfertaInmobiliariaFormId:condicionJuridica, :registroOfertaInmobiliariaFormId:areaTotalTerrenoTI,
                                       :registroOfertaInmobiliariaFormId:areaTotalConstruidaTI, :registroOfertaInmobiliariaFormId:direccionPredioIT"
                                       usePrediosMethod="#{registroOfertaInmob.usarPredioSeleccionado}"
                                       consultaPredioPredioWV="consultaPrediosDlgWV"
                                       usePrediosButtonRendered="true" />

    </ui:define>
</ui:composition>
